# Class LongCoord

java.lang.Object
uk.ac.starlink.ttools.plot2.data.SingleCoord
uk.ac.starlink.ttools.plot2.data.LongCoord

All Implemented Interfaces:
  `Coord`

public class LongCoord extends SingleCoord
Coord implementation for long values.

Since:
  30 Nov 2017
Author:
  Mark Taylor

## Constructor Summary

Constructors
Constructor
Description
`LongCoord(InputMeta meta, boolean isRequired)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`Function<Object[],Number>`
`inputStorage(uk.ac.starlink.table.ValueInfo[] infos, uk.ac.starlink.table.DomainMapper[] dms)`
Provides a function to turn a quantity in the user view to a plotting view object.
`long`
`readLongCoord(Tuple tuple, int icol)`
Reads a long value from an appropriate field in a given Tuple.

### Methods inherited from class SingleCoord

`getInput, getInputs, getStorageType, isRequired, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### LongCoord

public LongCoord(InputMeta meta, boolean isRequired)
Constructor.

Parameters:
  `meta` - input value metadata
  `isRequired` - true if this coordinate is required for plotting

## Method Details

### inputStorage

public Function<Object[],Number> inputStorage(uk.ac.starlink.table.ValueInfo[] infos, uk.ac.starlink.table.DomainMapper[] dms)
Description copied from interface: `Coord`
Provides a function to turn a quantity in the user view to a plotting view object.

The supplied `infos` and `domainMappers` arrays correspond to (have the same length as) this object's Inputs array, and may influence the return values. However, Coord instances that always behave the same way (for instance whose Input Domains have fixed DomainMappers) are free to ignore these arguments.

The returned function converts an array of per-input user values to a storable object of the type corresponding to the result of `Coord.getStorageType()`; the return value of the returned function is never null.

Parameters:
  `infos` - per-input array of column input metadata
  `dms` - per-input array of input value->domain value mappers
Returns:
  input values to storage object conversion function, or null if such conversions will never be possible

### readLongCoord

public long readLongCoord(Tuple tuple, int icol)
Reads a long value from an appropriate field in a given Tuple.

Parameters:
  `tuple` - tuple
  `icol` - index of field in tuple corresponding to this Coord
Returns:
  value of long field